package com.yihu.jw.entity.hospital.healthCare;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wangzhinan on 20211003
 */
@Entity
@Table(name = "base_ylz_medical_mx")
public class YlzMedicalMxDO extends UuidIdentityEntity {
    private String medicalId;
    private String prescriptionCode;
    private String hisDetailSn;
    private String itemName;
    private String itemCode;
    private String invoiceType;
    private String specificationType;
    private String dosageForm;
    private String chargeUnit;
    private String price;
    private String amount;
    private String totalMoney;
    private String singleDose;
    private String useFrequency;
    private String medicalWay;
    private Date prescriptionDate;
    private String medicationDays;
    private String deptCode;
    private String deptName;
    private String hisDeptCode;
    private String hisDeptName;
    private String medicalPerName;
    private String medicalPerId;
    private String limitType;
    private Date actgDate;
    private String hisItemName;
    private String hisItemCode;
    private Date clerkDays;
    private String peopleType;
    private Integer del;
    private Date createTime;

    public String getMedicalId() {
        return medicalId;
    }

    public void setMedicalId(String medicalId) {
        this.medicalId = medicalId;
    }

    public Integer getDel() {
        return del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name="create_time")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getPrescriptionCode() {
        return prescriptionCode;
    }

    public void setPrescriptionCode(String prescriptionCode) {
        this.prescriptionCode = prescriptionCode;
    }

    public String getHisDetailSn() {
        return hisDetailSn;
    }

    public void setHisDetailSn(String hisDetailSn) {
        this.hisDetailSn = hisDetailSn;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public String getItemCode() {
        return itemCode;
    }

    public void setItemCode(String itemCode) {
        this.itemCode = itemCode;
    }

    public String getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(String invoiceType) {
        this.invoiceType = invoiceType;
    }

    public String getSpecificationType() {
        return specificationType;
    }

    public void setSpecificationType(String specificationType) {
        this.specificationType = specificationType;
    }

    public String getDosageForm() {
        return dosageForm;
    }

    public void setDosageForm(String dosageForm) {
        this.dosageForm = dosageForm;
    }

    public String getChargeUnit() {
        return chargeUnit;
    }

    public void setChargeUnit(String chargeUnit) {
        this.chargeUnit = chargeUnit;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getTotalMoney() {
        return totalMoney;
    }

    public void setTotalMoney(String totalMoney) {
        this.totalMoney = totalMoney;
    }

    public String getSingleDose() {
        return singleDose;
    }

    public void setSingleDose(String singleDose) {
        this.singleDose = singleDose;
    }

    public String getUseFrequency() {
        return useFrequency;
    }

    public void setUseFrequency(String useFrequency) {
        this.useFrequency = useFrequency;
    }

    public String getMedicalWay() {
        return medicalWay;
    }

    public void setMedicalWay(String medicalWay) {
        this.medicalWay = medicalWay;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name="prescription_date")
    public Date getPrescriptionDate() {
        return prescriptionDate;
    }

    public void setPrescriptionDate(Date prescriptionDate) {
        this.prescriptionDate = prescriptionDate;
    }

    public String getMedicationDays() {
        return medicationDays;
    }

    public void setMedicationDays(String medicationDays) {
        this.medicationDays = medicationDays;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getHisDeptCode() {
        return hisDeptCode;
    }

    public void setHisDeptCode(String hisDeptCode) {
        this.hisDeptCode = hisDeptCode;
    }

    public String getHisDeptName() {
        return hisDeptName;
    }

    public void setHisDeptName(String hisDeptName) {
        this.hisDeptName = hisDeptName;
    }

    public String getMedicalPerName() {
        return medicalPerName;
    }

    public void setMedicalPerName(String medicalPerName) {
        this.medicalPerName = medicalPerName;
    }

    public String getMedicalPerId() {
        return medicalPerId;
    }

    public void setMedicalPerId(String medicalPerId) {
        this.medicalPerId = medicalPerId;
    }

    public String getLimitType() {
        return limitType;
    }

    public void setLimitType(String limitType) {
        this.limitType = limitType;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name="actg_date")
    public Date getActgDate() {
        return actgDate;
    }

    public void setActgDate(Date actgDate) {
        this.actgDate = actgDate;
    }

    public String getHisItemName() {
        return hisItemName;
    }

    public void setHisItemName(String hisItemName) {
        this.hisItemName = hisItemName;
    }

    public String getHisItemCode() {
        return hisItemCode;
    }

    public void setHisItemCode(String hisItemCode) {
        this.hisItemCode = hisItemCode;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    @Column(name="clerk_days")
    public Date getClerkDays() {
        return clerkDays;
    }

    public void setClerkDays(Date clerkDays) {
        this.clerkDays = clerkDays;
    }

    public String getPeopleType() {
        return peopleType;
    }

    public void setPeopleType(String peopleType) {
        this.peopleType = peopleType;
    }
}
